  
let test_water_dz () =

  let basis_file   = "test_files/cc-pvdz"
  and nuclei_file  = "test_files/h2o.xyz"
  in

  let simulation_closed_shell =
    Simulation.of_filenames ~charge:0 ~multiplicity:1 ~nuclei:nuclei_file basis_file
  in

  let ao_basis = 
    simulation_closed_shell.Simulation.ao_basis
  in
  Alcotest.run "Water, cc-pVDZ" [
    "AO_Basis", AOBasis.test_case ao_basis;
    "Guess", Guess.test_case ao_basis;
    "Determinant", Determinant.test_case ();
  ]


let () =
  test_water_dz ()
